<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SearchQuotePanel.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/ArticleWithJobs.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/LanguageBox.inc.php" );

	class MainPane extends Widget {
		protected $oSearchQuotePanel;
		protected $oArticleWithJobs;

		public function setSearchQuoteActiveTab( $n ) {
			$this->oSearchQuotePanel->setActiveTab( $n );
		}
		
		protected function isPreview() {
			return isset( $this->aG["preview"] );
		}

		public function modifyGetPost( &$g , &$p ) {
			$retval = parent::modifyGetPost( $g , $p );
			if ($GLOBALS["language"]=="hu")
				$this->oArticleWithAd = new ArticleWithJobs( "article_with_ad" , $this );
			else
				$this->oLanguageBox = new LanguageBox( "languagebox" , $this );
			return $retval;
		}

		public function __construct( $id , $parent ) {
			parent::__construct( $id , $parent );
			$this->oSearchQuotePanel = new SearchQuotePanel( "search_quote" , $this );
		}
	}
?>
